require("gevents")

gevent.InitHook("player_connect")

hook.Add("player_connect", "PConnect", function(event)
	Msg("player_connect:\n")
	
	print("Name: "..event:GetString("name"))
	print("Index: "..event:GetInt("index"))
	print("UID: "..event:GetInt("userid"))
	print("Steam ID: "..event:GetString("networkid"))
	print("IP: "..event:GetString("address"))
end )

gevent.InitHook("player_disconnect")

hook.Add("player_disconnect", "PDisconnect", function(event)
	Msg("player_disconnect:\n")
	
	print("UID: "..event:GetInt("userid"))
	
	for k, v in pairs(player.GetAll()) do
		if (event:GetInt("userid") == v:UserID()) then
			print("Found entity for "..v:Name())
			break
		end
	end
	
	print("Reason: "..event:GetString("reason"))
	print("Name: "..event:GetString("name"))
	print("Steam ID: "..event:GetString("networkid"))
end )

gevent.InitHook("server_cvar")

hook.Add("server_cvar", "CVarChanged", function(event)
	if (event:GetString("cvarname") == "sv_cheats") then
		print("sv_cheats value changed!")
	end
end )